{% extends 'base.html.twig' %}

{% block title %}Spending index{% endblock %}

{% block body %}
    <h1>Spending index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>CreatedAt</th>
                <th>UpdatedAt</th>
                <th>Amount</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for spending in spendings %}
            <tr>
                <td>{{ spending.id }}</td>
                <td>{{ spending.createdAt ? spending.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ spending.updatedAt ? spending.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ spending.amount }}</td>
                <td>
                    <a href="{{ path('spending_show', {'id': spending.id}) }}">show</a>
                    <a href="{{ path('spending_edit', {'id': spending.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('spending_new') }}">Create new</a>
{% endblock %}
